{ system ? builtins.currentSystem }:

let
  pkgs = import <nixpkgs> { };
  callPackage = pkgs.lib.callPackageWith pkgs;
  printerfacts = callPackage ./default.nix { };

  dockerImage = pkg:
    pkgs.dockerTools.buildLayeredImage {
      name = "xena/quickserv";
      tag = "latest";

      contents = [ pkg ];

      config = {
        Cmd = [ "/bin/quickserv" ];
        WorkingDir = "/";
      };
    };

in dockerImage printerfacts
