// Command quickserv serves a folder of files over HTTP quickly.
package main

import (
	"flag"
	"log"
	"net/http"

	"github.com/facebookarchive/flagenv"
)

var (
	port = flag.String("port", "3000", "port to use")
	dir  = flag.String("dir", ".", "directory to serve")
)

func main() {
	flagenv.Parse()
	flag.Parse()
	http.Handle("/", http.FileServer(http.Dir(*dir)))
	log.Printf("Serving %s on port %s", *dir, *port)
	log.Fatal(http.ListenAndServe(":"+*port, nil))
}
